Summary:    A set of system configuration and setup files
Name:       setup
Version:    2.7.11
Release:    %mkrel 3
License:    public domain
Group:      System/Configuration/Other
Url:        http://svn.mandriva.com/svn/soft/setup/trunk
Source:     %{name}-%{version}.tar.bz2
Conflicts:  crontabs <= 1.7-12mdk
Conflicts:  bash <= 2.05-2mdk
Conflicts:  kdebase < 2.2.2-41mdk
Conflicts:  proftpd < 1.2.5-0.rc1.3mdk
Conflicts:  DansGuardian < 2.2.3-4mdk
Requires:   shadow-utils
Requires(posttrans): shadow-utils
# prevent the shell to fail running post script:
Requires(posttrans): glibc
BuildRoot:  %{_tmppath}/%{name}-%{version}
# for backward compatibility, to remove when other packages correctly require run-parts directly:
Requires:   run-parts

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

You should install the setup package because you will
find yourself using its many features for system
administration.

%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall_std

find %buildroot -name "run-parts*" | xargs rm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/passwd
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/fstab
%ghost %verify(not md5 size mtime) %{_sysconfdir}/mtab
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/resolv.conf
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/group
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/hosts
%config(noreplace) %{_sysconfdir}/services
%config(noreplace) %{_sysconfdir}/inputrc
%config(noreplace) %{_sysconfdir}/filesystems
%config(noreplace) %{_sysconfdir}/host.conf
%config(noreplace) %{_sysconfdir}/hosts.allow
%config(noreplace) %{_sysconfdir}/hosts.deny
%config(noreplace) %{_sysconfdir}/motd
%config(noreplace) %{_sysconfdir}/printcap
%config(noreplace) %{_sysconfdir}/profile
%config(noreplace) %{_sysconfdir}/shells
%config(noreplace) %{_sysconfdir}/protocols
%attr(0644,root,root) %config(missingok,noreplace) %{_sysconfdir}/securetty
%config(noreplace) %{_sysconfdir}/csh.login
%config(noreplace) %{_sysconfdir}/csh.cshrc
%ghost %verify(not md5 size mtime) /var/log/lastlog

%posttrans
pwconv 2>/dev/null >/dev/null  || :
grpconv 2>/dev/null >/dev/null  || :

[ -f /var/log/lastlog ] || echo -n '' > /var/log/lastlog
[ -f %{_sysconfdir}/mtab ] || echo -n '' > %{_sysconfdir}/mtab

if [ -x /usr/sbin/nscd ]; then
	nscd -i passwd -i group || :
fi

%triggerpostun -- setup < 2.7.8
# the files is no more in setup starting from 2.7.8, it is now in nfs-utils
if [ -e /etc/exports.rpmsave ]; then
  mv -f /etc/exports.rpmsave /etc/exports && echo "warning: /etc/exports.rpmsave restored as /etc/exports"
fi


%changelog
* Fri Mar 28 2008 Pixel <pixel@mandriva.com> 2.7.11-3mdv2008.1
+ Revision: 190933
- require run-parts for backward compatibility until other packages correctly
  require it directly

* Fri Mar 28 2008 Pixel <pixel@mandriva.com> 2.7.11-2mdv2008.1
+ Revision: 190867
- run-parts is moved to package run-parts

* Mon Jan 28 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.11-1mdv2008.1
+ Revision: 159330
- New upstream: 2.7.11. Closes: #34841
- Update URL tag.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.7.10-1mdv2008.1
+ Revision: 119058
- new version

* Tue Sep 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.9-2mdv2008.0
+ Revision: 84515
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new release


* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 2.7.8-2mdv2007.1
+ Revision: 146582
- handle upgrade without loosing /etc/exports

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.7.8-1mdv2007.1
+ Revision: 138765
- new version

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.7.7-1mdv2007.1
+ Revision: 134254
- new version
- macrozification

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 2.7.5-3mdv2007.1
+ Revision: 121670
- explicitly provide /usr/bin/run-parts (required by crontabs)

* Thu Feb 15 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.7.5-2mdv2007.1
+ Revision: 121545
- fix requires

* Thu Jan 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.7.5-1mdv2007.1
+ Revision: 113344
- new version (should fix #24915 and #19822)

* Mon Jan 08 2007 Warly <warly@mandriva.com> 2.7.4-1mdv2007.1
+ Revision: 105933
- update tarball and spec for version 2.7.4

  + Michael Scherer <misc@mandriva.org>
    - Import setup

* Sun Jun 04 2006 Olivier Thauvin <nanardon@mandriva.org> 2.7.3-1mdv2007.0
- provide a /etc/{fstab,mtab,resolv.conf}, for chroot
- prevent lastlog to be overwritten

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.7.2-1mdk
- add missing prereq
- fix installing in urpmi --root

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 2.7.1-7mdk
- rebuild for sparc

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-6mdk
- nuke the iana-etc stuff, too hard to maintain, too many conflicts.

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-5mdk
- add squid port aliases (neoclust)

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-4mdk
- add ircd ports
- add svnserve port aliases
- add swat ports aliases (#21412)

* Wed Jan 25 2006 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-3mdk
- removed duplicated aliases
- ship the original protocols and services in the doc section for reference

* Tue Jan 24 2006 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-2mdk
- merged the iana-etc package from contrib into this package

* Wed Dec 07 2005 Frederic Lepied <flepied@mandriva.com> 2.7.1-1mdk
- added mysql and asterix ports (Oden)
- added Jabber and bittorrent ports (Pablo)

* Thu Sep 01 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 2.7-2mdk
- bashrc to run /etc/profile.d scripts just with supported shells (ticket #16515)

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.7-1mdk
- varargs fixes to run-parts

* Wed Mar 09 2005 Warly <warly@mandrakesoft.com> 2.6-1mdk
- add hpfs in filesystems as it seems that this filesystem is not probed
- add group tape (21) in group as udev is using it
- correct invalid syntax in profile for sh without bash extensions
- add requires on shadow-utils for post scripts

* Wed Feb 09 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.5-1mdk
- added some missing entries (nut, ...) in services
- fixed some rpmlint warnings
- setup.spec, man/Makefile, man/it/Makefile, man/it/run-parts.8,
  man/it/update-passwd.8, man/nl/Makefile: Added Italian man pages;
  enabled Dutch man patches (Pablo)
- man/nl/: run-parts.8, update-passwd.8: Updated Dutch (nl)
  translation by Richard Rasker <mandrake.tips@free.fr> *
  setup/man/nl/ (Reinout van Schouwen)
- inputrc: Redefined PgUp/PgDn so that instead of just cycling
  trough history (like Up/Down arrows already do) it is possible to
  type the beginning of a previous command, then cycle only trough
  matching history entries. (Pablo)

